# log4cpp::BasicLayout Class Reference

BasicLayout is a simple fixed format Layout implementation. More...

`#include <BasicLayout.hh>`

Inheritance diagram for log4cpp::BasicLayout:

[legend]
Collaboration diagram for log4cpp::BasicLayout:

[legend]
List of all members.

## Public Member Functions

| BasicLayout ()
virtual | ~BasicLayout ()
virtual std::string | format (const LoggingEvent &event)
| Formats the LoggingEvent in BasicLayout style: "timeStamp priority category ndc: message".

## Detailed Description

BasicLayout is a simple fixed format Layout implementation.

## Constructor & Destructor Documentation

log4cpp::BasicLayout::BasicLayout | ( |  | ) |

log4cpp::BasicLayout::~BasicLayout | ( |  | ) | `[virtual]`

## Member Function Documentation

std::string log4cpp::BasicLayout::format | ( | const LoggingEvent & | event | ) | `[virtual]`

Formats the LoggingEvent in BasicLayout style:
"timeStamp priority category ndc: message".

Implements log4cpp::Layout.

The documentation for this class was generated from the following files:

- BasicLayout.hh
- BasicLayout.cpp